Subject: Re: [RFC 3/3] powerpc: Add DTS file for the Motorola PrPMC2800 platform

From: David Gibson <[email-masked]>
Date: Tue, 3 Apr 2007 10:55:02 +1000

On Mon, Apr 02, 2007 at 11:15:53AM -0700, Mark A. Greer wrote:
> On Thu, Mar 29, 2007 at 10:35:50AM +1000, David Gibson wrote:
> > On Wed, Mar 28, 2007 at 09:43:16AM -0700, Yoder Stuart-B08248 wrote:
> > [snip]
> > > > +
> > > > +	mv64x60@f1000000 { /* Marvell Discovery */
> > > > +		#address-cells = <1>;
> > > > +		#size-cells = <1>;
> > > > +		#interrupt-cells = <1>;
> > > > +		device_type = "mv64360";
> > > > +		compatible = "mv64x60";
> > > > +		clock-frequency = <7f28155>;		/* 
> > > > 133.333333 Mhz */
> > > > +		reg = <f1000000 00010000>;
> > > > +		virtual-reg = <f1000000>;
> > > 
> > > What is virtual-reg for?  I gather it is related to the bootwrapper
> > > needed virtual addresses for devices reg blocks.  But, I counted
> > > 12 instances of the property in this file.  Are all needed by the
> > > bootwrapper??
> > 
> > That does seem like a lot.
> 
> It is.  They need to be culled.
> 
> > The only thing that should need
> > virtual-reg properties is serial ports.  In fact, specifically, only
> > serial ports that the zImage is actually expected to use.
> 
> Not true.  Any reg block you're going to access in the bootwrapper needs
> this or some equivalent method for determining where to access those regs.
> Either that, parse BAT & page/hash tables, or provide ioremap in the
> bootwrapper (which, at the time virtual-reg materialized, was deemed
> overkill for the bootwrapper--presumably the same goes for parsing hash
> tables).

And examples of such reg blocks other than serial would be...?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson